2009-04-10  Maxim Kuvyrkov  <maxim@codesourcery.com>

	Issue #693

	* release-notes-csl.xml: Add note.
	* sysdeps/arm/preconfigure: Add -fno-unwind-tables to CFLAGS.
	* sysdeps/unix/sysv/linux/arm/eabi/configure.in: Remove
	-fno-unwind-tables from CFLAGS.
	* sysdeps/unix/sysv/linux/arm/eabi/configure: Regenerate.
	* sysdeps/unix/sysv/linux/arm/eabi/nptl/unwind.h (_Unwind_Trace_Fn):
	Define.
	(_Unwind_Backtrace): Declare.
	* sysdeps/arm/eabi/backtrace.c: Rewrite (borrow from ia64 and i386,
	mostly) to use _Unwind_Backtrace.

2009-04-09  Brooks Moses  <brooks@codesourcery.com>

	* ports/sysdeps/arm/memcpy.c: Add prefetch instructions.

2009-04-06  Brooks Moses  <brooks@codesourcery.com>

	* ports/sysdeps/arm/memset.c: New file, replacing...
	* ports/sysdeps/arm/memset.S: ...this file, which is removed.
	* ports/sysdeps/arm/memcpy.c: New file, replacing...
	* ports/sysdeps/arm/memcpy.S: ...this file, which is removed.
	* ports/sysdeps/arm/strlen.S: Replaced with rewritten version.
	* ports/sysdeps/arm/strcpy.S: New file.
	* ports/sysdeps/arm/strcmp.S: New file.
	* ports/sysdeps/arm/arm_asm.h: New file.

	* ports/sysdeps/arm/eabi/aeabi_memcpy.c: Save Neon registers
	  to prevent them from being clobbered.
	* ports/sysdeps/arm/eabi/aeabi_memset.c: Likewise.

	* ports/release-notes-csl.xml: Add note mentioning this.

2009-03-02  Maciej W. Rozycki  <macro@codesourcery.com>

	Issue #3634
	* sysdeps/unix/sysv/linux/mips/getcontext.S (__getcontext):
	Conditionalise the access to $f30 for the ICE9A errata.
	* sysdeps/unix/sysv/linux/mips/setcontext.S (__setcontext):
	Likewise.
	* sysdeps/unix/sysv/linux/mips/swapcontext.S (__swapcontext):
	Likewise.

2009-03-02  Maciej W. Rozycki  <macro@codesourcery.com>

	Issue #4538
	* sysdeps/unix/sysv/linux/mips/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/mips/makecontext.S: New file.
	* sysdeps/unix/sysv/linux/mips/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/mips/swapcontext.S: New file.
	* sysdeps/unix/sysv/linux/mips/sys/ucontext.h (mcontext_t):
	Update comment.
	* sysdeps/unix/sysv/linux/mips/kernel_rt_sigframe.h: New file.
	* sysdeps/unix/sysv/linux/mips/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/mips/Makefile (gen-as-const-headers):
	Add ucontext_i.sym.

2009-03-02  Maciej W. Rozycki  <macro@codesourcery.com>

	Issue #4538
	* sysdeps/mips/sys/fpregdef.h: Update for new ABIs.

2008-12-19  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/mips/mips64/n32/posix_fallocate64.c,
	sysdeps/unix/sysv/linux/mips/mips64/n32/posix_fallocate.c,
	sysdeps/unix/sysv/linux/mips/mips64/n64/posix_fallocate64.c,
	sysdeps/unix/sysv/linux/mips/mips64/n64/posix_fallocate.c: New.

2008-11-27  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/arm/eabi/nptl/aio_misc.h: New.

2008-11-25  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/arm/sysdep.h (LOAD_ARGS_1, LOAD_ARGS_2,
	LOAD_ARGS_3, LOAD_ARGS_4, LOAD_ARGS_5, LOAD_ARGS_6, LOAD_ARGS_7):
	Load all arguments into temporary variables before loading into
	registers.

2008-11-20  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/arm/tls-macros.h (ARM_PC_OFFSET): Define.
	(TLS_IE): Define differently for Thumb-2.
	(TLS_LE, TLS_LD, TLS_GD): Use ARM_PC_OFFSET.

2008-11-20  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/arm/eabi/nptl/unwind-forcedunwind.c
	(_Unwind_Resume): Adjust offset from PC for Thumb-2.
	* sysdeps/unix/sysv/linux/arm/eabi/nptl/unwind-resume.c
	(_Unwind_Resume): Likewise.

2008-11-14  Maxim Kuvyrkov  <maxim@codesourcery.com>

	* release-notes-csl.xml: Add release note for ColdFire NPTL.

2008-11-14  Maxim Kuvyrkov  <maxim@codesourcery.com>

	* sysdeps/unix/sysv/linux/m68k/sysdep.h (tls.h): Include.
	(INTERNAL_SYSCALL): Convert to INTERNAL_SYSCALL_NCS.
	* sysdeps/unix/sysv/linux/m68k/clone.S: Support RESET_PID.
	* sysdeps/unix/sysv/linux/m68k/m68k_write_tp.S: New.
	* sysdeps/unix/sysv/linux/m68k/Makefile: Add new files to lists.
	* sysdeps/unix/sysv/linux/m68k/m68k_read_tp.S: New.
	* sysdeps/unix/sysv/linux/m68k/vfork.S: Add SAVE_PID/RESTORE_PID.
	* sysdeps/unix/sysv/linux/m68k/m68k_vdso.c: New.
	* sysdeps/unix/sysv/linux/m68k/bits/libc-vdso.h: New.
	* sysdeps/unix/sysv/linux/m68k/libc-m68k_write_tp.S: New.
	* sysdeps/unix/sysv/linux/m68k/libc-m68k_vdso.c: New.
	* sysdeps/unix/sysv/linux/m68k/coldfire/nptl/bits/atomic.h: New.
	* sysdeps/unix/sysv/linux/m68k/libc-m68k_read_tp.S: New.
	* sysdeps/unix/sysv/linux/m68k/Versions: Add symbols for NPTL support.
	* sysdeps/unix/sysv/linux/m68k/init-first.c: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/sysdep-cancel.h: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/bits/pthreadtypes.h: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/bits/semaphore.h: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/clone.S: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/fork.c: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/lowlevellock.h: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/vfork.S: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/pt-vfork.S: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/createthread.c: New.
	* sysdeps/unix/sysv/linux/m68k/nptl/pthread_once.c: New.
	* sysdeps/unix/sysv/linux/m68k/socket.S: Update cancelation code.
	* sysdeps/m68k/dl-tls.h: New.
	* sysdeps/m68k/ldsodefs.h: Fix to not include it multiple times.
	* sysdeps/m68k/libc-tls.c: New.
	* sysdeps/m68k/tls-macros.h: New.
	* sysdeps/m68k/dl-machine.h: Handle TLS relocations.
	* sysdeps/m68k/elf/configure: Generate.
	* sysdeps/m68k/elf/configure.in: New.
	* sysdeps/m68k/jmpbuf-unwind.h: Update.
	* sysdeps/m68k/nptl/tcb-offsets.sym: New.
	* sysdeps/m68k/nptl/pthread_spin_trylock.c: New.
	* sysdeps/m68k/nptl/tls.h: New.
	* sysdeps/m68k/nptl/pthread_spin_lock.c: New.
	* sysdeps/m68k/nptl/pthreaddef.h: New.
	* sysdeps/m68k/nptl/Makefile: New.

2008-10-22  Kazu Hirata  <kazu@codesourcery.com>

	Issue 3852
	* sysdeps/arm/eabi/backtrace.c: New.
	* release-notes-csl.xml: Add a release note about the backtrace
	fix.

2008-09-19  Maciej W. Rozycki  <macro@codesourcery.com>

	Issue #3634
	* sysdeps/mips/__longjmp.c (__longjmp): Conditionalise the
	access to $f30 for the ICE9A errata.
	* sysdeps/mips/setjmp_aux.c (__sigsetjmp_aux): Likewise.
	* sysdeps/mips/mips64/__longjmp.c (__longjmp): Likewise.
	* sysdeps/mips/mips64/setjmp_aux.c (__sigsetjmp_aux): Likewise.

2008-07-18  Nathan Froyd  <froydnj@codesourcery.com>

	* sysdeps/arm/eabi/aeabi_assert.c,
	sysdeps/arm/eabi/aeabi_errno_addr.c,
	sysdeps/arm/eabi/aeabi_lcsts.c,
	sysdeps/arm/eabi/aeabi_localeconv.c,
	sysdeps/arm/eabi/aeabi_math.c,
	sysdeps/arm/eabi/aeabi_mb_cur_max.c,
	sysdeps/arm/eabi/aeabi_sighandlers.S: Move to...
	* sysdeps/aeabi: ...here.  New directory.
	* sysdeps/aeabi/aeabi_lcsts.c (__aeabi_stdin, __aeabi_stdout,
	__aeabi_stderr): New variables.
	(setup_aeabi_stdio): New function.  Add it to .preinit_array.
	* sysdeps/arm/eabi/Makefile (aeabi_constants, sysdep_routines,
	static-only-routines): Modify for moved files.
	(aeabi_routines): Likewise, and rename to ...
	(arm_aeabi_routines): ...this
	* sysdeps/arm/eabi/Implies: New file.
	* sysdeps/powerpc/Implies: New file.

2008-07-08  Catherine Moore  <clm@codesourcery.com>

	Merge from Sourcery G++ 4.2:

	2008-03-28  Mark Shinwell  <shinwell@codesourcery.com>
	Daniel Jacobowitz  <dan@codesourcery.com>

	* sysdeps/mips/dl-lookup.c: New.
	* sysdeps/mips/do-lookup.h: New.
	* sysdeps/mips/dl-machine.h (ELF_MACHINE_NO_PLT): Remove
	definition.
	(ELF_MACHINE_JMP_SLOT): Alter definition and update comment.
	(elf_machine_type_class): Likewise.
	(ELF_MACHINE_PLT_REL): Define.
	(elf_machine_fixup_plt): New.
	(elf_machine_plt_value): New.
	(elf_machine_reloc): Handle jump slot and copy relocations.
	(elf_machine_lazy_rel): Point relocation place at PLT if
	required.
	(elf_machine_runtime_setup): Fill in .got.plt header.
	* sysdeps/mips/dl-trampoline.c: New.
	* sysdeps/mips/bits/linkmap.h (link_map_machine): New.
	* sysdeps/mips/tls-macros.h: Load $gp as required.

	* sysdeps/unix/sysv/linux/mips/mips32/sysdep.h (SYSCALL_ERROR_LABEL):
	Delete definition.
	* sysdeps/unix/sysv/linux/mips/nptl/sysdep-cancel.h (PSEUDO_CPLOAD,
	PSEUDO_ERRJMP, PSEUDO_SAVEGP, PSEUDO_LOADGP): Define.
	(PSEUDO): Use them.  Move outside __PIC__.
	(PSEUDO_JMP): New.
	(CENABLE, CDISABLE): Use it.

2008-06-09  Joseph Myers  <joseph@codesourcery.com>

	* sysdeps/powerpc/powerpc32/e500/memcpy.S: Use @local in branch.

2008-06-04  Nathan Froyd  <froydnj@codesourcery.com>

	Merge from CSL EGLIBC 2.5:

	2007-09-05  Nathan Froyd  <froydnj@codesourcery.com>

	NOT ASSIGNED TO THE FSF
	COPYRIGHT FREESCALE
	* release-notes-csl.xml: Add new release note.
	* sysdeps/powerpc/powerpc32/e500/memcpy.S: New file.
	* sysdeps/powerpc/powerpc32/e500/memmove.S: New file.


Local Variables:
mode: change-log
change-log-default-name: "ChangeLog.csl"
End:
